# Fetching a single Billing Milestone

Gets a single billing milestone.


This endpoint returns structured Billing Milestones objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the billing_milestones top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /billing_milestones/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- external_references (ExternalReference) - Includes references to external integrations for this object.
- invoices (Invoice) - Retrieves the invoices that the billing milestones are on. The response will include invoice_ids, which references the data in the invoices top-level key.
- story (Story) - Retrieves the task associated with the billing milestone. The response will include story_id, which references the data in the stories top-level key.
- workspace (Workspace) - Retrieves the project that the billing milestone is in. The response will include workspace_id, which references the data in the workspaces top-level key.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `billing_milestones` (object)

  - `external_references` (object)

  - `workspaces` (object)

  - `stories` (object)

  - `invoices` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


